API reference
Operations
4 management API operations for Operations.
/v1/operations/diagnosticsDiagnostics
GET/v1/projects/{project_id}/diagnosticsProject Diagnostics
POST/v1/projects/{project_id}/diagnostics/clients/{environment_id}Check Client
POST/v1/jobs/{job_id}/reviewReview Job
GET/v1/operations/diagnostics
Diagnostics
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
GET/v1/projects/{project_id}/diagnostics
Project Diagnostics
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/diagnostics/clients/{environment_id}
Check Client
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
environment_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredClientCheck
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/jobs/{job_id}/review
Review Job
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredJobReview
| Field | Type | Required | Description |
|---|---|---|---|
expected_status | failed | ambiguous | Yes | |
action | retry | reconcile | Yes | |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |